## org.eclipse.datatools.enablement.jdt.classpath
Class DriverClasspathContainer

    java.lang.Object
      org.eclipse.datatools.enablement.jdt.classpath.DriverClasspathContainer

All Implemented Interfaces:
  org.eclipse.jdt.core.IClasspathContainer

    public class DriverClasspathContainer

extends java.lang.Object
implements org.eclipse.jdt.core.IClasspathContainer

Container that adapts the jar list from a driver instance to add the referenced jars to a Java project.

Author:
  brianf

Field Summary

Fields inherited from interface org.eclipse.jdt.core.IClasspathContainer
`K_APPLICATION, K_DEFAULT_SYSTEM, K_SYSTEM`

Constructor Summary
`DriverClasspathContainer(java.lang.String libName)`

Method Summary
`org.eclipse.jdt.core.IClasspathEntry[]` `getClasspathEntries()`
`java.lang.String` `getDescription()`
`int` `getKind()`
`org.eclipse.core.runtime.IPath` `getPath()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverClasspathContainer

    public DriverClasspathContainer(java.lang.String libName)

Parameters:
  `libName` -

Method Detail

### getClasspathEntries

    public org.eclipse.jdt.core.IClasspathEntry[] getClasspathEntries()

  Specified by:
    `getClasspathEntries` in interface `org.eclipse.jdt.core.IClasspathContainer`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `org.eclipse.jdt.core.IClasspathContainer`

### getKind

    public int getKind()

  Specified by:
    `getKind` in interface `org.eclipse.jdt.core.IClasspathContainer`

### getPath

    public org.eclipse.core.runtime.IPath getPath()

  Specified by:
    `getPath` in interface `org.eclipse.jdt.core.IClasspathContainer`